resource_registry:
  OS::TripleO::Services::Collectd: ../puppet/services/metrics/collectd.yaml

# parameter_defaults:
#
## Collectd server configuration
#   CollectdServer: collectd0.example.com
#
################
#### Other config parameters, the values shown here are the defaults
################ 
#
#   CollectdServerPort: 25826 
#   CollectdSecurityLevel: None
#
################
#### If CollectdSecurityLevel is set to Encrypt or Sign
#### the following parameters are also needed
###############
#
#   CollectdUsername: user
#   CollectdPassword: password
#
## CollectdDefaultPlugins, These are the default plugins used by collectd 
#
#   CollectdDefaultPlugins:
#     - disk
#     - interface
#     - load
#     - memory
#     - processes
#     - tcpconns
# 
## Extra plugins can be enabled by the CollectdExtraPlugins parameter:
## All the plugins availables are:
#
#   CollectdExtraPlugins:
#     - disk
#     - df
#
## You can use ExtraConfig (or one of the related *ExtraConfig keys)
## to configure collectd.  See the documentation for puppet-collectd at
## https://github.com/voxpupuli/puppet-collectd for details.
#
#   ExtraConfig:
#     collectd::plugin::disk::disks:
#       - "/^[vhs]d[a-f][0-9]?$/"
#     collectd::plugin::df::mountpoints:
#       - "/"
#     collectd::plugin::df::ignoreselected: false
#     collectd::plugin::cpu::valuespercentage: true
